<!--
  -  Copyright 2020 Huawei Technologies Co., Ltd.
  -
  -  Licensed under the Apache License, Version 2.0 (the "License");
  -  you may not use this file except in compliance with the License.
  -  You may obtain a copy of the License at
  -
  -      http://www.apache.org/licenses/LICENSE-2.0
  -
  -  Unless required by applicable law or agreed to in writing, software
  -  distributed under the License is distributed on an "AS IS" BASIS,
  -  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -  See the License for the specific language governing permissions and
  -  limitations under the License.
  -->
<template>
  <div>
    <el-row>
      <el-col
        class="cardDiv"
        :span="3.5"
      >
        <el-card
          shadow="hover"
          class="cardStyle"
          id="PowerGrid"
        >
          <img
            src="../assets/images/powergrid.png"
            class="image"
            @click="hideDefault('PowerGrid')"
          >
          <div style="padding: 14px;text-align:center">
            <span>Power Grid/Mining Area</span>
          </div>
        </el-card>
      </el-col>
      <el-col
        class="cardDiv"
        :span="3.5"
      >
        <el-card
          shadow="hover"
          class="cardStyle"
          id="VR/AR"
        >
          <img
            src="../assets/images/vrar.png"
            class="image"
            @click="hideDefault('VR/AR')"
          >
          <div style="padding: 14px;text-align:center">
            <span>VR/AR</span>
          </div>
        </el-card>
      </el-col>
      <el-col
        class="cardDiv"
        :span="3.5"
      >
        <el-card
          shadow="hover"
          class="cardStyle"
          id="IoV"
        >
          <img
            src="../assets/images/iov.png"
            class="image"
            @click="hideDefault('IoV')"
          >
          <div style="padding: 14px;text-align:center">
            <span>IoV</span>
          </div>
        </el-card>
      </el-col>
      <el-col
        class="cardDiv"
        :span="3.5"
      >
        <el-card
          shadow="hover"
          class="cardStyle"
          id="Enterprise"
        >
          <img
            src="../assets/images/ind.png"
            class="image"
            @click="hideDefault('Enterprise')"
          >
          <div style="padding: 14px;text-align:center">
            <span>Enterprise Manufacturing</span>
          </div>
        </el-card>
      </el-col>
      <el-col style="display:none">
        <el-card />
      </el-col>
    </el-row>
  </div>
</template>
<script>
export default {
  name: 'Card',
  data () {
    return {
      selectedType: ''
    }
  },
  methods: {
    hideDefault (type) {
      if (this.selectedType !== '') {
        document.getElementById(this.selectedType).style.border = 'none'
      }
      document.getElementById(type).style.border = '1px solid blue'
      this.selectedType = type
      this.$emit('getClickEvt', type)
    }
  }
}
</script>
<style>
.image {
}
.cardDiv {
  margin-left: 35px;
  cursor: pointer;
}
.cardStyle {
  cursor: pointer
}
</style>
